Bulk Annotations
curl --request POST \
--url https://api.mixpeek.com/v1/annotations/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"create": [
{
"document_id": "<string>",
"label": "<string>",
"collection_id": "<string>",
"confidence": 0.5,
"reasoning": "<string>",
"payload": {},
"retriever_id": "<string>",
"execution_id": "<string>",
"stage_name": "<string>"
}
],
"update": [
{
"annotation_id": "<string>",
"label": "<string>",
"confidence": 0.5,
"reasoning": "<string>",
"payload": {}
}
],
"delete": [
"<string>"
]
}
'import requests
url = "https://api.mixpeek.com/v1/annotations/bulk"
payload = {
"create": [
{
"document_id": "<string>",
"label": "<string>",
"collection_id": "<string>",
"confidence": 0.5,
"reasoning": "<string>",
"payload": {},
"retriever_id": "<string>",
"execution_id": "<string>",
"stage_name": "<string>"
}
],
"update": [
{
"annotation_id": "<string>",
"label": "<string>",
"confidence": 0.5,
"reasoning": "<string>",
"payload": {}
}
],
"delete": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
create: [
{
document_id: '<string>',
label: '<string>',
collection_id: '<string>',
confidence: 0.5,
reasoning: '<string>',
payload: {},
retriever_id: '<string>',
execution_id: '<string>',
stage_name: '<string>'
}
],
update: [
{
annotation_id: '<string>',
label: '<string>',
confidence: 0.5,
reasoning: '<string>',
payload: {}
}
],
delete: ['<string>']
})
};
fetch('https://api.mixpeek.com/v1/annotations/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_count": 0,
"updated_count": 0,
"deleted_count": 0,
"failed_count": 0,
"results": [
{
"operation": "<string>",
"success": true,
"annotation_id": "<string>",
"error": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Annotations
Bulk Annotations
Create, update, and/or delete annotations in a single call.
Each operation is independent — a failure in one does not roll back the others. Maximum 1000 operations per type (creates, updates, deletes).
POST
/
v1
/
annotations
/
bulk
Bulk Annotations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Bulk create, update, and/or delete annotations in a single call.
Provide any combination of creates, updates, and deletes. Each operation is independent — a failure in one does not roll back the others.
Was this page helpful?
⌘I

